DOCA 2.20 installation error (SSL certificate problem)

Hi,

I am trying to install DOCA 2.2.0 on the BlueField 3. My OS is ubuntu 22.04 and the kernel version is 5.15. The detailed issue shows below:

It seems to be a SSL certificate error, for the https://pkgs.k8s.io/core:/stable:/v1.28/deb/

I also tried to use curl to access it, same error occurs: curl: (60) SSL certificate problem: certificate is not yet valid

How to fix it?

Hi,

Thanks for your question.
You may try checking the current date/time on your DPU system, and make sure it’s not far in the past. Browsers may complain about not yet valid certificates due to wrong system time.

Best Regards,
Anatoly